List participants
GET
/workspaces/{workspaceId}/conversations/{conversationId}/participants
Retrieve the list of participants in a conversation
Parametri di query
limit
integer
pageToken
string
reverse
boolean
Payload della risposta
results
array of object
obbligatorio
List of conversation participants.
Mostra attributi secondari
results.avatarUrl
string
results.contact
object
Mostra attributi secondari
results.contact.identifierKey
string
obbligatorio
results.contact.identifierValue
string
obbligatorio
results.contact.platformAddress
string
results.contact.platformAddressSelector
string
results.conversationId
string
results.createdAt
string
results.displayName
string
results.id
string
obbligatorio
results.resourceUri
string
results.status
string
Possible values: invited, pending, active, inactive
results.type
string
obbligatorio
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
results.updatedAt
string
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
totalType
string
Possible values: ``, equal, greaterThanOrEqual
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Esempio di codice
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/02ec2ac2-ebec-42d3-a5f4-e6f3a9edf418/participants" \
-H "Authorization: AccessKey abcd"Esempio di codice
{
"results": [
{
"id": "68b80b8d-8060-42df-bda3-73505a8fdb84",
"type": "accessKey",
"status": "active",
"displayName": "My first email key",
"avatarUrl": ""
},
{
"id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
"type": "contact",
"status": "active",
"displayName": "John Doe",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "john.doe@bird.com",
"platformAddress": "john.doe@bird.com"
}
}
]
}